import { FetchResult } from '@apollo/client/core';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { ApplyCouponToCartInput, ApplyCouponToCartMutation, CustomQuery } from '@vsf-enterprise/magento-api-types';
import type { Context } from '../../types/context';
/**
 * Applies a coupon to a given card
 * @param context VSF context
 * @param input ID of the card and coupon to apply
 * @param customQuery custom GraphQL query that extends the default one
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function applyCouponToCart(context: Context, input: ApplyCouponToCartInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<ApplyCouponToCartMutation>>;
