import { ExecutionResult } from 'graphql';
import { CustomQuery, DeleteCustomerAddressMutation } from '@vsf-enterprise/magento-api-types';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Deletes a customer address.
 *
 * @param context VSF Context
 * @param addressId ID of the customer address to delete
 * @param customQuery (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function deleteCustomerAddress(context: Context, addressId: number, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ExecutionResult<DeleteCustomerAddressMutation>>;
