import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vsf-enterprise/magento-api-types';
import type { GuestAvailablePaymentMethodsQuery, CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Fetches the available payment methods for the received cart.
 *
 * @param context VSF context
 * @param params params containing the cart's ID
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function getAvailablePaymentMethods(context: Context, params: {
    cartId: string;
}, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<ApolloQueryResult<GuestAvailablePaymentMethodsQuery>>;
