import { FetchResult } from '@apollo/client/core';
import { CustomQuery, PlaceOrderInput, PlaceOrderMutation } from '@vsf-enterprise/magento-api-types';
import type { CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Places an order for received cart.
 *
 * @param context VSF Context
 * @param input the order's input, containing the cart's ID
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function placeOrder(context: Context, input: PlaceOrderInput, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<PlaceOrderMutation>>;
