import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vsf-enterprise/magento-api-types';
import type { SubscribeEmailToNewsletterMutation, SubscribeEmailToNewsletterMutationVariables, CustomHeaders } from '@vsf-enterprise/magento-api-types';
import { Context } from '../../types/context';
/**
 * Subscribes an email in the newsletter.
 * @param context VSF context
 * @param input params with the email to subscribe
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 * @param customHeaders (optional) - custom headers that extends the default headers
 */
export default function subscribeEmailToNewsletter(context: Context, { email }: SubscribeEmailToNewsletterMutationVariables, customQuery?: CustomQuery, customHeaders?: CustomHeaders): Promise<FetchResult<SubscribeEmailToNewsletterMutation>>;
